Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.icore.plan.build
Class ExamplePlanBuilder.ActivityExpander

    java.lang.Object
      ix.icore.plan.build.ExamplePlanBuilder.Expander
          ix.icore.plan.build.ExamplePlanBuilder.ActivityExpander

Enclosing class:
  ExamplePlanBuilder

    protected class ExamplePlanBuilder.ActivityExpander

extends ExamplePlanBuilder.Expander

Field Summary

Fields inherited from class ix.icore.plan.build.ExamplePlanBuilder.Expander
`planItems, planRefinements`

Constructor Summary
`ExamplePlanBuilder.ActivityExpander(java.util.List planItems, java.util.List planRefinements)`

Method Summary
`protected AbstractPlanItem` | `makePlanItem(TaskItem item, AbstractPlanItem parentPI)` Returns a `PlanNode`.
`protected AbstractRefinement` | `makePlanRefinement()` Returns a `PlanRefinement`.

Methods inherited from class ix.icore.plan.build.ExamplePlanBuilder.Expander
`buildExpansion, walk, walk`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExamplePlanBuilder.ActivityExpander

    public ExamplePlanBuilder.ActivityExpander(java.util.List planItems,
                                               java.util.List planRefinements)

Method Detail

### makePlanItem

    protected AbstractPlanItem makePlanItem(TaskItem item,
                                            AbstractPlanItem parentPI)

  Returns a `PlanNode`.

  Specified by:
    `makePlanItem` in class `ExamplePlanBuilder.Expander`

### makePlanRefinement

    protected AbstractRefinement makePlanRefinement()

  Returns a `PlanRefinement`.

  Specified by:
    `makePlanRefinement` in class `ExamplePlanBuilder.Expander`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD